package com.android.main;

import android.os.Handler;

public class FillInBufferThread extends Thread {
	private final String TAG = "FillInBufferThread";
	private static final int PRINTMESSAGE = 1;
	private byte[] oriData;
	private Handler mHandler;
	private Buffer buffer;
	public FillInBufferThread(Handler hand, byte[] ori,Buffer b){
		mHandler = hand;
		oriData = ori;
		buffer = b;
	}
	public void run(){
		//fill the data into buffer
		for(int i=0;i<oriData.length;i++){
			if(oriData[i] == 255 && oriData[i+1]==113){
				
			}
		}
	}
	private void printMsg(int type, String msg){
		switch (type){
			case PRINTMESSAGE:
				mHandler.obtainMessage(PRINTMESSAGE, TAG+": "+msg).sendToTarget();
			break;
			default:
				;
			break;
		}
	}
}
